Page MenuHomePhabricator

Ship PuppetDB logs to ELK
Closed, ResolvedPublic

Description

Ship PuppetDB logs to ELK by way of new rsyslog -> kafka -> logstash pipeline

Event Timeline

herron triaged this task as Medium priority.Nov 26 2018, 10:03 PM
herron created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2018, 10:03 PM

Change 475884 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] puppetdb: ship puppetdb logs to ELK

https://gerrit.wikimedia.org/r/475884

Change 475884 merged by Herron:
[operations/puppet@production] puppetdb: ship puppetdb logs to ELK

https://gerrit.wikimedia.org/r/475884

jcrespo assigned this task to herron.Nov 28 2018, 3:36 PM
jcrespo added a subscriber: jcrespo.

Assigning it to you as you seem to be working on it, unclaim it if this is wrong.

jcrespo removed a subscriber: jcrespo.Nov 28 2018, 3:37 PM
herron closed this task as Resolved.Dec 4 2018, 3:12 PM

PuppetDB logs have been flowing into logstash for a couple days now. Resolving